<?php
namespace NicolasBejean\CategoryWidget\Block\Adminhtml\CategoryWidget\Edit;

use \Magento\Framework\View\Element\UiComponent\Control\ButtonProviderInterface;
use \Magento\Ui\Component\Control\Container;

/**
 * Class SaveAndNewButton
 *
 * @category PHP
 * @package  NicolasBejean\CategoryWidget\Block\Adminhtml\CategoryWidget\Edit
 * @author   Nicolas Béjean <nicolas@bejean.eu>
 * @license  https://github.com/nicolasbejean/category-widget/blob/master/licence.txt BSD Licence
 * @link     https://www.bejean.eu
 */
class SaveAndNewButton extends GenericButton implements ButtonProviderInterface
{
    /**
     * Get Button Data
     *
     * @return array
     */
    public function getButtonData()
    {
        return [
            'label' => __('Save and new'),
            'class' => 'save',
            'data_attribute' => [
                'mage-init' => [
                    'buttonAdapter' => [
                        'actions' => [
                            [
                                'targetName' => 'categorywidget_categorywidget_form.categorywidget_categorywidget_form',
                                'actionName' => 'save',
                                'params' => [
                                    true,
                                    [
                                        'back' => 'new'
                                    ]
                                ]
                            ]
                        ]
                    ]
                ]
            ],
            'class_name' => Container::DEFAULT_CONTROL,
        ];
    }
}
